<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AdminController extends Controller
{
    /**
     * Display a listing of the resource.
     */
     public function login(Request $req)
     {
         $login = $req->validate([
             'email' => ['required', 'email'],
             'password' => ['required']
             ]);
             
             if (Auth::attempt($login))
             {
                 $req->session()->regenerate();
                 return redirect()->intended('/dashboard/home');
             }
             
            return back()->withErrors ([ 'email' => 'credentials do not match'])->onlyInput('email');
     }
     
    public function pageindex()
    {
        // 
        return view ('admin.login-page');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
