<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\SiteController;
use App\Models\CompanyInfo;
use App\Models\HomePage;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/




Route::get('/about', function(){ 
    return view('about', [
        'info' => CompanyInfo::all(),
        'page' => HomePage::all()
        
        ]);
});

Route::get('/services', function(){ 
    return view('services', [ 'info' => CompanyInfo::all()]);
});

Route::get('/contact', function(){ 
    return view('contact', ['info' => CompanyInfo::all()]);
});

Route::get('/db', function(){ 
    return view('dbtest');
});

Route::get('/web-admin', [AdminController::class, 'pageindex'])->name('admin.portal');
Route::get('/', [SiteController::class, 'siteindex'])->name('homepage');
Route::post('login', [AdminController::class, 'login'])->name('login');
Route::get('/dashboard/home', function() { return view('admin.home-page');});
Route::get('/dashboard/partner', function() { return view('admin.partner-edit'); });

